Skip to content
The API may change between versions while TTX-Zone is 0.x.

Create account

POST
/api/v1/instance/accounts
curl --request POST \
--url https://example.com/api/v1/instance/accounts \
--header 'Content-Type: application/json' \
--header 'X-CSRF-Token: <X-CSRF-Token>' \
--cookie ttx_access_token=<ttx_access_token> \
--data '{ "email": "hello@example.com", "full_name": "example" }'

A new account (name and email, unique) with a temporary password, in this answer only; whatever the tenancy rule. It starts with no organization: roles are granted from an organization’s Admin, or the instance administrator grant from its page here.

Media typeapplication/json
InstanceAccountCreateRequest
object
email
required
Email
string format: email
full_name
required
Full Name
string
>= 1 characters <= 255 characters

Example generated

{
"email": "hello@example.com",
"full_name": "example"
}

Successful Response

Media typeapplication/json
InstanceAccountCreateRead
object
temporary_password
required
Temporary Password
string
user_id
required
User Id
string format: uuid

Example generated

{
"temporary_password": "example",
"user_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Example generated

{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}